LIGHTER(1)

NAME
lighter - fast and memory-efficient sequencing error corrector

SYNOPSIS
lighter [OPTIONS]

DESCRIPTION
Lighter is a fast, memory-efficient tool for correcting sequencing errors. Lighter avoids counting k-mers. Instead, it uses a pair of Bloom filters, one holding a sample of the input k-mers and the other holding k-mers likely to be correct. As long as the sampling fraction is adjusted in inverse proportion to the depth of sequencing, Bloom filter size can be held constant while maintaining near-constant accuracy. Lighter is parallelized, uses no secondary storage, and is both faster and more memory-efficient than competing approaches while achieving comparable accuracy.

OPTIONS:

  Required parameters:

-r seq_file: seq_file is the path to the sequence file. Can use multiple -r to specify multiple sequence files
    The file can be fasta and fastq, and can be gzip'ed with extension *.gz. When the input file is *.gz, the corresponding output file will also be gzip'ed.

-k kmer_length genome_size alpha: (see README for information on setting alpha)
    or

-K kmer_length genom_size: in this case, the genome size should be relative accurate.

  Other parameters:

-od output_file_directory: (default: ./)

-t num_of_threads: number of threads to use (default: 1)

-maxcor INT: the maximum number of corrections within a 20bp window (default: 4)

-trim: allow trimming (default: false)

-discard: discard unfixable reads. Will LOSE paired-end matching when discarding (default: false)

-noQual: ignore the quality socre (default: false)

-newQual ascii_quality_score: set the quality for the bases corrected to the specified score (default: not used)

-saveTrustedKmers file: save the trusted kmers to specified file then stop (default: not used)

-loadTrustedKmers file: directly get solid kmers from specified file (default: not used)

-zlib compress_level: set the compression level(0-9) of gzip (default: 1)

-h: print the help message and quit

-v: print the version information and quit

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.